%global pkgname crime

Name:           gap-pkg-%{pkgname}
Version:        1.4
Release:        3%{?dist}
Summary:        Group cohomology and Massey products

License:        GPLv2+
URL:            http://homepages.math.uic.edu/~marcus/Crime/
Source0:        http://homepages.math.uic.edu/~marcus/Crime/%{pkgname}-%{version}.tar.gz
# Adapt to changed output in recent GAP versions
Patch0:         %{name}-test.patch
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
BuildRequires:  perl-generators

Requires:       gap-core

%description
This GAP package computes cohomology rings for finite p-groups using Jon
Carlson's method, both as GAP objects, and also in terms of generators
and relators. It also computes induced homomorphisms on cohomology and
Massey products in the cohomology ring.

%prep
%autosetup -p0 -n %{pkgname}

# Fix character encodings
for fil in PackageInfo.g; do
  iconv -f iso8859-1 -t utf-8 $fil > $fil.utf8
  touch -r $fil $fil.utf8
  mv -f $fil.utf8 $fil
done

%build
mkdir -p ../pkg
ln -s ../%{pkgname} ../pkg
pushd doc
gap -l "$PWD/../..;%{_gap_dir}" < compile
popd
rm -fr ../pkg

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg/%{pkgname}
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg/
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/compile
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,tex,toc}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{CHANGES,COPYING,README}

%check
# Do not run the batch.g test.  It never terminates.  The instructions indicate
# it has to be interrupted manually.
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" << EOF 2>&1 | tee log
LoadPackage("crime");
Test("tst/test.g", rec(compareFunction := "uptowhitespace"));
EOF
! grep -Eq 'Error|fail' log
rm -f log

%files
%doc CHANGES README
%license COPYING
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue May 29 2018 Jerry James <loganjerry@gmail.com> - 1.4-2
- Fix License (bz 1583448)

* Sat May 26 2018 Jerry James <loganjerry@gmail.com> - 1.4-1
- Initial RPM
